# $Revision: 1.53 $, $Date: 2002/09/20 14:38:11 $
#
# Conditional build:
# _without_ipv6	- IPv4-only version (doesn't require IPv6 in kernel)
#
Summary:	Boa high speed HTTP server
Summary(pl):	Boa - szybki serwer HTTP
Name:		boa
Version:	0.94.13
Release:	1
Epoch:		1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.boa.org/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-logrotate.patch
URL:		http://www.boa.org/
BuildRequires:	autoconf
BuildRequires:	flex
BuildRequires:	sgml-tools
PreReq:		rc-scripts
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(post,preun):	/sbin/chkconfig
Provides:	httpd
Provides:	webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	apache
Obsoletes:	httpd
Obsoletes:	thttpd
Obsoletes:	webserver

%define		_sysconfdir	/etc/httpd

%description
A high speed, lightweight web server (HTTP protocol). Based on direct
use of the select(2) system call, it internally multiplexes all
connections without forking, for maximum speed and minimum system
resource use.

%description -l pl
Niezwykle szybki i wysoko wydajny serwer WWW (protok HTTP). Bazuje
na bezporednim uyciu funkcji systemowej select(2) dziki czemu moe
obsugiwa wiele pocze rwnoczenie bez fork()owania co w efekcie
znacznie zwiksza szybko dziaania oraz zmniejsza zuycie zasobw
systemowych.

%prep
%setup -q
%patch0 -p1
%patch1	-p0

%build
cd src
CFLAGS="%{rpmcflags} %{!?_without_ipv6:-DINET6}"
%{__autoconf}
%configure
%{__make}
cd ../docs
%{__make} boa.html

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d/ \
	$RPM_BUILD_ROOT/var/log/httpd \
	$RPM_BUILD_ROOT/home/httpd/{cgi-bin,html} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/conf,%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/logrotate.d

install src/{boa,boa_indexer} $RPM_BUILD_ROOT%{_sbindir}/

install src/*.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin/
install examples/* $RPM_BUILD_ROOT/home/httpd/cgi-bin/
install	%{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

install boa.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install contrib/redhat/boa.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install docs/boa.8 $RPM_BUILD_ROOT%{_mandir}/man8/

touch $RPM_BUILD_ROOT/var/log/httpd/{access_log,agent_log,error_log,referer_log}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid http`" ]; then
        if [ "`getgid http`" != "51" ]; then
	        echo "Error: group http doesn't have gid=51. Correct this before installing boa." 1>&2
            exit 1
        fi
else
        echo "Creating group http GID=51"
        /usr/sbin/groupadd -g 51 -r -f http
fi
if [ -n "`id -u http 2>/dev/null`" ]; then
        if [ "`id -u http`" != "51" ]; then
                echo "Error: user http doesn't have uid=51. Correct this before installing boa." 1>&2
                exit 1
        fi
else
	echo "Creating user http UID=51"
        /usr/sbin/useradd -u 51 -r -d /home/httpd -s /bin/false -c "HTTP User" -g http http 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	echo "Removing user http UID=51"
	/usr/sbin/userdel http > /dev/null 2>&1
	echo "Removing group http GID=51"
        /usr/sbin/groupdel http > /dev/null 2>&1
fi

%post
/sbin/chkconfig --add boa
if [ -f /var/lock/subsys/boa ]; then
        /etc/rc.d/init.d/boa restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/boa start\" to start boa http daemon."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/boa ]; then
                /etc/rc.d/init.d/boa stop 1>&2
        fi
        /sbin/chkconfig --del boa
fi

%files
%defattr(644,root,root,755)
%doc README ChangeLog docs/*.html docs/*.png
%attr(750, root,root) %dir %{_sysconfdir}
%attr(640, root,root) %config(noreplace) %{_sysconfdir}/*
%attr(640, root,root) %config(noreplace) /etc/logrotate.d/%{name}
%attr(755, root,root) /home/httpd/html
%attr(755, root,root) /home/httpd/cgi-bin
%attr(750, root,root) %dir /var/log/httpd/
%attr(640, root,root) %ghost /var/log/httpd/*
%attr(755, root,root) %{_sbindir}/*
%attr(754, root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: boa.spec,v $
Revision 1.53  2002/09/20 14:38:11  blues
- 0.94.13 - (bugfixes-only release) - STBR

Revision 1.52  2002/07/09 18:47:46  kloczek
- use new %doc.

Revision 1.51  2002/07/09 18:30:13  mick3y
- removing http group is not good

Revision 1.50  2002/07/05 01:02:13  mick3y
- removed http group - working fine on my server
- STBR

Revision 1.49  2002/06/26 05:47:51  kloczek
- release 2.

Revision 1.48  2002/06/24 19:56:39  mick3y
- logrotate patch

Revision 1.47  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/05/09 17:55:10  qboosh
- 0.94.12, Epoch=1
- updated PLD patch, removed SA_LEN patch (sufficient fix included in PLD patch)
- cleanups, better "doesn't have UID/GID" messages
- added _without_ipv6 bcond (v6 version can listen only on INET6 sockets)

Revision 1.45  2002/04/25 15:54:23  arturs
fixed a small typo

Revision 1.44  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/12/23 00:07:34  blues
- added noreplace to config-file

Revision 1.41  2001/12/23 00:06:07  blues
- fixed typo in init-script

Revision 1.40  2001/12/22 23:58:56  blues
- added some obsoletes
- cosmetics + corrected PLD patch
STBR - it works

Revision 1.39  2001/12/22 23:31:54  blues
- 0.94.12pre1
- License changed
- SA_LEN patch added
- URL added
- fixes in install
- added logrotate script and some new docs

Revision 1.38  2001/09/24 10:00:14  qboosh
- Prereq: /sbin/chkconfig

Revision 1.37  2001/07/30 12:15:52  blues
- 0.9.4
- ac 2.5 ready (autoconf to BuildRequires added)
NFY - misiek, look at that...

Revision 1.36  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.33  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.32  2001/02/10 05:20:28  kloczek
- release 2.

Revision 1.31  2001/02/10 00:04:45  funto
fixed %post/%pre

Revision 1.30  2001/02/01 16:27:33  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.29  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.28  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.27  2000/10/05 17:36:58  kloczek
- added sgml-tools to BuildRequires list.

Revision 1.26  2000/10/05 16:19:01  kloczek
- updated to 0.94.8.3,
- spec now is %%{debug} ready,
- use new rpm automation suit.

Revision 1.25  2000/09/17 17:57:51  kloczek
- adapterized.

Revision 1.24  2000/09/15 21:28:39  mkochano
- Release 2.
- Removal of user before removal of group in %%postun. Group can not be
  removed if there is an user belonging to it.

Revision 1.23  2000/09/10 20:33:03  kloczek
- do not use -s in install parameters,
- added Obsoletes: apache.

Revision 1.22  2000/09/10 03:25:53  kloczek
- pass -DINET6 to CFLAGS.

Revision 1.21  2000/09/10 02:56:48  kloczek
- added fleex to BuildRequires list.

Revision 1.20  2000/09/10 02:54:21  kloczek
- adapterized.

Revision 1.19  2000/09/10 02:39:32  kravietz
- really it is 0.94.8.2 ;)

Revision 1.18  2000/09/10 02:29:08  kravietz
- upgrade do 0.96.8

Revision 1.17  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.16  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.13  2000/02/24 08:42:11  cieciwa
- IPv6 included in source,
- some tools (resolver) are located in src directory are
       installed at /home/httpd/cgi-bin,
- manual moved to man8,
- added SGML and PS documentation,
- please check conf file.

Revision 1.12  2000/02/24 08:09:20  cieciwa
- updated to version 0.94.6,
- removed IPv6 support (not implemented now),
- removed util tools (not needed),
- not completed spec.

Revision 1.11  1999/11/12 00:51:17  kura

- fixed pl translation
- added Group(pl)
- 'install -d' is called only once

Revision 1.10  1999/09/11 13:33:26  misiek
- fixed requires (PR#29)

Revision 1.9  1999/08/16 09:39:46  misiek
updated for IPv6 fix && init script

Revision 1.7  1999/07/16 15:46:15  baggins
- FHS 2.0
- macros
- cleanup

Revision 1.6  1999/07/13 16:57:41  baggins
- some cleanup

Revision 1.5  1999/07/12 23:05:54  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Sep 25 1998 Wojciech "Sas" Ciciwa <alpha@zarz.agh.edu.pl>
- building RPM.
